using Demo.Domain.Models;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceLocalEntity> GetAllPresences();
        void IsAttedance(int firstLesson, int lastLesson, DateOnly date, Guid UserGuid);
        List<PresenceLocalEntity> GeneratePresence(List<PresenceLocalEntity> presenceLocalEntities);
    }
}